> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit the given warehouse transfer transaction.



## OpenAPI

````yaml api-reference/openapi.json post /api/warehouse-transfers/{id}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/warehouse-transfers/{id}:
    post:
      tags:
        - Warehouse Transfers
      summary: Edit the given warehouse transfer transaction.
      operationId: WarehouseTransfersController_editWarehouseTransfer
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditWarehouseTransferDto'
      responses:
        '200':
          description: The warehouse transfer transaction has been edited successfully.
components:
  schemas:
    EditWarehouseTransferDto:
      type: object
      properties:
        fromWarehouseId:
          type: number
          description: The id of the warehouse to transfer from
          example: 1
        toWarehouseId:
          type: number
          description: The id of the warehouse to transfer to
          example: 2
        date:
          format: date-time
          type: string
          description: The date of the warehouse transfer
          example: '2021-01-01'
        transactionNumber:
          type: string
          description: The transaction number of the warehouse transfer
          example: '123456'
        transferInitiated:
          type: boolean
          description: Whether the warehouse transfer has been initiated
          example: false
        transferDelivered:
          type: boolean
          description: Whether the warehouse transfer has been delivered
          example: false
        entries:
          description: The entries of the warehouse transfer
          example:
            - index: 1
              itemId: 1
              description: This is a description
              quantity: 100
              cost: 100
          type: array
          items:
            type: string
      required:
        - fromWarehouseId
        - toWarehouseId
        - date
        - transactionNumber
        - transferInitiated
        - transferDelivered
        - entries

````